Loading...
Searching...
No Matches
utils.h File Reference
`#include <gnuradio/qtgui/api.h>`
`#include <qevent.h>`
`#include <qwt_picker_machine.h>`
`#include <qwt_plot_picker.h>`
`#include <QCoreApplication>`
`#include <QString>`
Include dependency graph for utils.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | QwtDblClickPlotPicker
class | QwtPickerDblClickPointMachine

## Functions

QTGUI_API QString | get_qt_style_sheet (QString filename)
QTGUI_API void | check_set_qss (QApplication *app)

## Function Documentation

## check_set_qss()

QTGUI_API void check_set_qss | ( | QApplication * | app | ) |

References QTGUI_API.

## get_qt_style_sheet()

QTGUI_API QString get_qt_style_sheet | ( | QString | filename | ) |

From QSS file name, extracts the file contents and returns a QString that contains the QSS information. Designed to be passed to the qApplication. The QSS file is typically retrieved using the [qtgui] qss=<filename> section of the preferences files.

References QTGUI_API.